<?php
	function gutenbee_get_theme_scss_colors() {
		return new Gutenbee_SCSS_Colors( get_theme_file_path( apply_filters( 'gutenbee_customizer_defaults_scss_path', '/css/inc/_variables.scss' ) ) );
	}

	function gutenbee_customizer_defaults( $setting = false ) {
		$scss = gutenbee_get_theme_scss_colors();

		$primary_font = '-apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen-Sans, Ubuntu, Cantarell, Helvetica Neue, sans-serif';

		// phpcs:disable WordPress.Arrays.MultipleStatementAlignment.DoubleArrowNotAligned
		$defaults = apply_filters( 'gutenbee_customizer_defaults', array(
			'global_layout_type'              => 'full_width',
			'global_layout_boxed_width'       => gutenbee_customizer_defaults_empty_breakpoints( array(
				'desktop' => 1260,
			) ),
			'global_layout_container_width'   => gutenbee_customizer_defaults_empty_breakpoints( array(
				'desktop' => 1230,
			) ),
			'global_layout_content_width'     => gutenbee_customizer_defaults_empty_breakpoints( array(
				'desktop' => 9,
			) ),
			'global_layout_sidebar_width'     => gutenbee_customizer_defaults_empty_breakpoints( array(
				'desktop' => 3,
			) ),
			'global_layout_pages_layout_type' => 'content_sidebar',

			'background_color'                       => $scss->get( 'body-bg' ), // Native 'background_color' customizer control.
			'global_colors_boxed_background'         => '#f9f9f9',
			'global_colors_boxed_background_image'   => gutenbee_image_bg_control_defaults(),
			'global_colors_accent'                   => $scss->get( 'accent-color' ),
			'global_colors_accent_secondary'         => $scss->get( 'accent-secondary-color' ),
			'global_colors_text'                     => $scss->get( 'text-color' ),
			'global_colors_border'                   => $scss->get( 'border-color' ),
			'global_colors_links'                    => $scss->get( 'accent-color' ),
			'global_colors_links_hover'              => $scss->get( 'accent-color' ),
			'global_colors_h1'                       => $scss->get( 'text-color' ),
			'global_colors_h2'                       => $scss->get( 'text-color' ),
			'global_colors_h3'                       => $scss->get( 'text-color' ),
			'global_colors_h4'                       => $scss->get( 'text-color' ),
			'global_colors_h5'                       => $scss->get( 'text-color' ),
			'global_colors_h6'                       => $scss->get( 'text-color' ),
			'global_colors_forms_background'         => $scss->get( 'input-background-color' ),
			'global_colors_forms_border'             => $scss->get( 'input-border-color' ),
			'global_colors_forms_text'               => $scss->get( 'text-color' ),
			'global_colors_buttons_background'       => $scss->get( 'button-bg-color' ),
			'global_colors_buttons_text'             => $scss->get( 'button-text-color' ),
			'global_colors_buttons_border'           => $scss->get( 'button-border-color' ),
			'global_colors_buttons_background_hover' => '#0982bd',
			'global_colors_buttons_text_hover'       => $scss->get( 'button-text-color' ),
			'global_colors_buttons_border_hover'     => '#0982bd',

			'global_typo_disable_google_fonts' => 0,

			'global_typo_body'           => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => 'regular',
					'size'       => 16,
					'lineHeight' => 1.56,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'global_typo_h1'             => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => '700',
					'size'       => 32,
					'lineHeight' => 1.19,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'global_typo_h2'             => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => '700',
					'size'       => 28,
					'lineHeight' => 1.14,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'global_typo_h3'             => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => '700',
					'size'       => 24,
					'lineHeight' => 1.17,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'global_typo_h4'             => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => '700',
					'size'       => 20,
					'lineHeight' => 1.2,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'global_typo_h5'             => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => '700',
					'size'       => 16,
					'lineHeight' => 1.19,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'global_typo_h6'             => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => '700',
					'size'       => 12,
					'lineHeight' => 1.17,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'global_typo_form_labels'    => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => 'regular',
					'size'       => 14,
					'lineHeight' => 1.14,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'global_typo_form_text'      => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => 'regular',
					'size'       => 14,
					'lineHeight' => 1.14,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'global_typo_buttons'        => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => 'regular',
					'size'       => 14,
					'lineHeight' => 1.14,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),

			'header_layout_type'                          => 'normal',
			'header_layout_menu_type'                     => 'full_right',
			'header_layout_is_menu_stretched'             => 0,
			'header_layout_is_full_width'                 => 0,
			'header_layout_height'                        => gutenbee_spacing_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'top'    => 22,
					'bottom' => 22,
					'linked' => true,
				),
				'tablet'  => array(
					'top'    => 10,
					'bottom' => 10,
					'linked' => true,
				),
				'mobile'  => array(
					'top'    => 10,
					'bottom' => 10,
					'linked' => true,
				),
			) ),
			'header_layout_menu_is_sticky'                => 0,
			'header_layout_menu_is_sticky_mobile_enabled' => 1,
			'header_layout_menu_sticky_alt_logo'          => 0,
			'header_layout_menu_height'                   => gutenbee_spacing_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'top'    => 10,
					'bottom' => 10,
					'linked' => true,
				),
				'tablet'  => array(
					'top'    => 10,
					'bottom' => 10,
					'linked' => true,
				),
				'mobile'  => array(
					'top'    => 10,
					'bottom' => 10,
					'linked' => true,
				),
			) ),
			'header_layout_menu_mobile_breakpoint'        => array(
				// Non-responsive control, only needs 'desktop'.
				'desktop' => 992,
			),

			'header_content_is_search_visible'   => 1,
			'header_content_is_minicart_visible' => 1,

			'header_colors_background'                     => $scss->get( 'accent-secondary-color' ),
			'header_colors_border'                         => 'transparent',
			'header_colors_text'                           => $scss->get( 'text-color' ),
			'header_colors_logo'                           => $scss->get( 'text-color' ),
			'header_colors_logo_hover'                     => $scss->get( 'accent-color' ),
			'header_colors_menu_container_background'      => $scss->get( 'grey' ),
			'header_colors_menu_item_link'                 => $scss->get( 'text-color' ),
			'header_colors_menu_item_hover'                => $scss->get( 'accent-color' ),
			'header_colors_menu_item_active'               => $scss->get( 'accent-color' ),
			'header_colors_menu_item_active_background'    => '',
			'header_colors_submenu_background'             => $scss->get( 'white' ),
			'header_colors_submenu_item_link'              => $scss->get( 'text-color' ),
			'header_colors_submenu_item_hover'             => $scss->get( 'accent-color' ),
			'header_colors_submenu_item_hover_background'  => '',
			'header_colors_submenu_item_active'            => $scss->get( 'accent-color' ),
			'header_colors_submenu_item_active_background' => '',

			'header_sticky_colors_background'                     => $scss->get( 'accent-secondary-color' ),
			'header_sticky_colors_border'                         => 'transparent',
			'header_sticky_colors_text'                           => $scss->get( 'text-color' ),
			'header_sticky_colors_logo'                           => $scss->get( 'text-color' ),
			'header_sticky_colors_logo_hover'                     => $scss->get( 'accent-color' ),
			'header_sticky_colors_menu_container_background'      => $scss->get( 'grey' ),
			'header_sticky_colors_menu_item_link'                 => $scss->get( 'text-color' ),
			'header_sticky_colors_menu_item_hover'                => $scss->get( 'accent-color' ),
			'header_sticky_colors_menu_item_active'               => $scss->get( 'accent-color' ),
			'header_sticky_colors_menu_item_active_background'    => '',
			'header_sticky_colors_submenu_background'             => $scss->get( 'white' ),
			'header_sticky_colors_submenu_item_link'              => $scss->get( 'text-color' ),
			'header_sticky_colors_submenu_item_hover'             => $scss->get( 'accent-color' ),
			'header_sticky_colors_submenu_item_hover_background'  => '',
			'header_sticky_colors_submenu_item_active'            => $scss->get( 'accent-color' ),
			'header_sticky_colors_submenu_item_active_background' => '',

			'header_transparent_colors_background'                     => $scss->get( 'accent-secondary-color' ),
			'header_transparent_colors_border'                         => 'transparent',
			'header_transparent_colors_text'                           => $scss->get( 'text-color' ),
			'header_transparent_colors_logo'                           => $scss->get( 'text-color' ),
			'header_transparent_colors_logo_hover'                     => $scss->get( 'accent-color' ),
			'header_transparent_colors_menu_container_background'      => $scss->get( 'grey' ),
			'header_transparent_colors_menu_item_link'                 => $scss->get( 'text-color' ),
			'header_transparent_colors_menu_item_hover'                => $scss->get( 'accent-color' ),
			'header_transparent_colors_menu_item_active'               => $scss->get( 'accent-color' ),
			'header_transparent_colors_menu_item_active_background'    => '',
			'header_transparent_colors_submenu_background'             => $scss->get( 'white' ),
			'header_transparent_colors_submenu_item_link'              => $scss->get( 'text-color' ),
			'header_transparent_colors_submenu_item_hover'             => $scss->get( 'accent-color' ),
			'header_transparent_colors_submenu_item_hover_background'  => '',
			'header_transparent_colors_submenu_item_active'            => $scss->get( 'accent-color' ),
			'header_transparent_colors_submenu_item_active_background' => '',

			'header_mobile_nav_colors_background'        => $scss->get( 'accent-secondary-color' ),
			'header_mobile_nav_colors_link'              => '#454545',
			'header_mobile_nav_colors_arrows'            => '#454545',
			'header_mobile_nav_colors_border'            => '#dddddd',

			'header_typo_logo'    => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => '700',
					'size'       => 26,
					'lineHeight' => 1.23,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'header_typo_tagline' => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => '', // Needs to be empty to be controlled by secondary font, because font is unselectable.
					'variant'    => 'regular',
					'size'       => 12,
					'lineHeight' => 1.25,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'header_typo_menu'    => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => $primary_font,
					'variant'    => 'regular',
					'size'       => 15,
					'lineHeight' => 1.2,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'header_typo_submenu' => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => '', // Needs to be empty to be controlled by secondary font, because font is unselectable.
					'variant'    => 'regular',
					'size'       => 15,
					'lineHeight' => 1.2,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),

			'blog_layout_archives_layout_type'     => 'content_sidebar',
			'blog_layout_archive_title_is_enabled' => 1,
			'blog_layout_posts_layout_type'        => '1col-horz',
			'blog_layout_archives_pagination'      => 'numbers',
			'blog_layout_single_related_columns'   => '3',

			'blog_typo_archives_title_tag'                     => 'h2',
			'blog_content_archives_excerpt_length'             => 55,
			'blog_content_archives_is_featured_visible'        => 1,
			'blog_content_archives_is_title_visible'           => 1,
			'blog_content_archives_is_meta_sticky_visible'     => 1,
			'blog_content_archives_is_meta_date_visible'       => 1,
			'blog_content_archives_is_meta_categories_visible' => 1,
			'blog_content_archives_is_meta_author_visible'     => 1,
			'blog_content_archives_is_meta_comments_visible'   => 1,
			'blog_content_archives_is_content_visible'         => 1,
			'blog_content_archives_is_button_visible'          => 1,

			'blog_content_single_post_is_featured_visible'        => 1,
			'blog_content_single_post_is_meta_sticky_visible'     => 1,
			'blog_content_single_post_is_meta_date_visible'       => 1,
			'blog_content_single_post_is_meta_categories_visible' => 1,
			'blog_content_single_post_is_meta_author_visible'     => 1,
			'blog_content_single_post_is_meta_comments_visible'   => 1,
			'blog_content_single_post_is_tags_visible'            => 1,
			'blog_content_single_post_is_post_pagination_visible' => 1,
			'blog_content_single_post_is_author_box_visible'      => 1,
			'blog_content_single_post_is_related_posts_visible'   => 1,
			'blog_content_single_post_related_posts_title'        => __( 'You might be interested in &hellip;', 'gutenbee' ),
			'blog_content_single_post_is_comments_visible'        => 1,

			'blog_typo_archives_title'        => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => '', // Needs to be empty to be controlled by secondary font, because font is unselectable.
					'variant'    => '700',
					'size'       => 32,
					'lineHeight' => 1.19,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'blog_typo_archives_meta'         => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => '', // Needs to be empty to be controlled by secondary font, because font is unselectable.
					'variant'    => 'regular',
					'size'       => 16,
					'lineHeight' => 1.56,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'blog_typo_archives_content'      => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => '', // Needs to be empty to be controlled by secondary font, because font is unselectable.
					'variant'    => 'regular',
					'size'       => 16,
					'lineHeight' => 1.56,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'blog_typo_archives_button'       => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => '', // Needs to be empty to be controlled by secondary font, because font is unselectable.
					'variant'    => 'regular',
					'size'       => 14,
					'lineHeight' => 1.14,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'blog_typo_single_post_title_tag' => 'h1',
			'blog_typo_single_post_title'     => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => '', // Needs to be empty to be controlled by secondary font, because font is unselectable.
					'variant'    => '700',
					'size'       => 32,
					'lineHeight' => 1.19,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'blog_typo_single_post_meta'      => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => '', // Needs to be empty to be controlled by secondary font, because font is unselectable.
					'variant'    => 'regular',
					'size'       => 16,
					'lineHeight' => 1.56,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'blog_typo_single_post_tags'      => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => '', // Needs to be empty to be controlled by secondary font, because font is unselectable.
					'variant'    => 'regular',
					'size'       => 13,
					'lineHeight' => 1.54,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),

			'footer_layout_is_visible'           => 1,
			'footer_layout_columns'              => gutenbee_customizer_defaults_same_value_breakpoints( 4 ),
			'footer_layout_is_full_width'        => 0,
			'footer_layout_padding'              => gutenbee_spacing_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'top'    => 100,
					'right'  => 0,
					'bottom' => 40,
					'left'   => 0,
					'linked' => false,
				),
				'tablet'  => array(
					'top'    => 70,
					'right'  => 0,
					'bottom' => 20,
					'left'   => 0,
					'linked' => false,
				),
				'mobile'  => array(
					'top'    => 50,
					'right'  => 0,
					'bottom' => 10,
					'left'   => 0,
					'linked' => false,
				),
			) ),
			'footer_layout_widget_title_padding' => gutenbee_spacing_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'top'    => 0,
					'right'  => 0,
					'bottom' => 0,
					'left'   => 0,
					'linked' => false,
				),
				'tablet'  => array(
					'top'    => 0,
					'right'  => 0,
					'bottom' => 0,
					'left'   => 0,
					'linked' => false,
				),
				'mobile'  => array(
					'top'    => 0,
					'right'  => 0,
					'bottom' => 0,
					'left'   => 0,
					'linked' => false,
				),
			) ),

			'footer_colors_background'              => $scss->get( 'accent-secondary-color' ),
			'footer_colors_background_image'        => gutenbee_image_bg_control_defaults(),
			'footer_colors_widget_background'       => '',
			'footer_colors_widget_border'           => $scss->get( 'border-color' ),
			'footer_colors_widget_title'            => $scss->get( 'text-color' ),
			'footer_colors_widget_title_background' => '',
			'footer_colors_widget_text'             => $scss->get( 'text-color' ),
			'footer_colors_widget_link'             => '',
			'footer_colors_widget_hover'            => '',

			'footer_typo_widget_title' => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => '', // Needs to be empty to be controlled by secondary font, because font is unselectable.
					'variant'    => '700',
					'size'       => 18,
					'lineHeight' => 1.22,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),
			'footer_typo_widget_text'  => gutenbee_typography_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'family'     => '', // Needs to be empty to be controlled by secondary font, because font is unselectable.
					'variant'    => 'regular',
					'size'       => 14,
					'lineHeight' => 1.5,
					'transform'  => 'none',
					'spacing'    => 0,
					'is_gfont'   => false,
				),
			) ),

			'utilities_lightbox'           => 0,
			'utilities_assets_minify_pack' => 'minify_pack',

			'button_top_is_visible'        => 1,
			'button_top_visibility'        => gutenbee_devices_visibility_default(),
			'button_top_position'          => gutenbee_spacing_control_defaults_empty_breakpoints( array(
				'desktop' => array(
					'right'  => 30,
					'bottom' => 30,
				),
				'tablet'  => array(
					'right'  => 30,
					'bottom' => 30,
				),
				'mobile'  => array(
					'right'  => 30,
					'bottom' => 30,
				),
			) ),
			'button_top_colors_background' => $scss->get( 'white' ),
			'button_top_colors_text'       => $scss->get( 'text-color' ),

			'site_identity_limit_logo_size'        => 0,
			'site_identity_title_is_visible'       => 1,
			'site_identity_description_is_visible' => 1,

			'woocommerce_product_related' => 1,
		) );
		// phpcs:enable

		if ( ! empty( $setting ) && array_key_exists( $setting, $defaults ) ) {
			return apply_filters( 'gutenbee_customizer_default', $defaults[ $setting ], $setting );
		}

		return $defaults;
	}

