<?php
	$css = Gutenbee_Customizer_CSS_Generator::get_instance();

	//
	// Layout
	//
	$value = get_theme_mod( 'footer_layout_padding', gutenbee_spacing_control_defaults_empty_breakpoints() );
	$css->add_spacing( $value, '.footer-widgets { %s }', 'padding', 'px' );

	$value = get_theme_mod( 'footer_layout_widget_title_padding', gutenbee_spacing_control_defaults_empty_breakpoints() );
	$css->add_spacing( $value, '.footer-widgets .widget-title { %s }', 'padding', 'px' );


	//
	// Colors
	//
	$color = gutenbee_get_mod( 'footer_colors_background' );
	$value = gutenbee_get_mod( 'footer_colors_background_image', gutenbee_image_bg_control_defaults() );
	$css->add_image_background_by_id( $value, 'full', '.site-footer { %s }', $color );

	$value = gutenbee_get_mod( 'footer_colors_widget_background' );
	$css->add_value( 'desktop', $value, '.footer-widgets .widget { background-color: %s; padding: 15px; }' );

	$value = gutenbee_get_mod( 'footer_colors_widget_border' );
	$css->add_value( 'desktop', $value, '
		.site-footer .widget_meta li a,
		.site-footer .widget_pages li a,
		.site-footer .widget_categories li a,
		.site-footer .widget_archive li a,
		.site-footer .widget_nav_menu li a,
		.site-footer .widget_product_categories li a,
		.site-footer .woocommerce-widget-layered-nav li a,
		.site-footer .widget_recent_comments li,
		.site-footer .widget_rss li,
		.site-footer .widget_recent_entries li,
		.site-footer .wp-block-pullquote,
		.site-footer .wp-block-archives li,
		.site-footer .wp-block-categories li,
		.site-footer .wp-block-latest-comments li,
		.site-footer .wp-block-latest-posts li,
		.site-footer input[type="text"],
		.site-footer input[type="email"],
		.site-footer input[type="number"],
		.site-footer input[type="password"],
		.site-footer input[type="search"],
		.site-footer input[type="date"],
		.site-footer select,
		.site-footer .ci-box-callout,
		.site-footer .select2-container.select2-container--default .select2-selection--multiple,
		.site-footer .select2-container.select2-container--default .select2-selection--single,
		.site-footer .select2-container .select2-dropdown,
		.site-footer .woocommerce-mini-cart__total {
			border-color: %s;
		}
	' );

	$value = gutenbee_get_mod( 'footer_colors_widget_title' );
	$css->add_value( 'desktop', $value, '
		.site-footer .widget-title { color: %s; }
		.site-footer .widget .widget-title::after { border-color: %s; }
	' );

	$value = gutenbee_get_mod( 'footer_colors_widget_title_background' );
	$css->add_value( 'desktop', $value, '.footer-widgets .widget-title { background-color: %s; padding: 10px 5px; }' );

	$value = gutenbee_get_mod( 'footer_colors_widget_text' );
	$css->add_value( 'desktop', $value, '.site-footer .widget { color: %s; }' );

	$value = gutenbee_get_mod( 'footer_colors_widget_link' );
	$css->add_value( 'desktop', $value, '.site-footer .widget a, .product_list_widget .product-title { color: %s; }' );

	$value = gutenbee_get_mod( 'footer_colors_widget_hover' );
	$css->add_value( 'desktop', $value, '.site-footer .widget a:hover { color: %s; }' );


	//
	// Typography
	//
	$value = get_theme_mod( 'footer_typo_widget_text', gutenbee_customizer_defaults( 'footer_typo_widget_text' ) );
	$css->add_typography( $value, '', '.footer-widgets .widget, .footer-widgets .product_list_widget .product-title { %s }' );

	$value = get_theme_mod( 'footer_typo_widget_title', gutenbee_customizer_defaults( 'footer_typo_widget_title' ) );
	$css->add_typography( $value, '', '.footer-widgets .widget-title { %s }' );
