<?php
	$css = Gutenbee_Customizer_CSS_Generator::get_instance();

	//
	// Layout
	//

	// This default differs from gutenbee_customizer_defaults() on purpose, so only a customized value will go through.
	$value = gutenbee_get_mod( 'header_layout_height', gutenbee_spacing_control_defaults_empty_breakpoints() );
	$css->add_spacing( $value, '.head-mast { %s }', 'padding', 'px' );

	// This default differs from gutenbee_customizer_defaults() on purpose, so only a customized value will go through.
	$value = gutenbee_get_mod( 'header_layout_menu_height', gutenbee_spacing_control_defaults_empty_breakpoints() );
	$css->add_spacing( $value, '.head-outro { %s }', 'padding', 'px' );

	$value = (array) get_theme_mod( 'header_layout_menu_mobile_breakpoint', gutenbee_customizer_defaults_empty_breakpoints() );
	$css->add_value( 'desktop', $value['desktop'], '
		@media (max-width: %spx) {
			#mobilemenu {	display: block; }
			.mobile-nav-trigger {	display: inline-block; }
			.nav { display: none; }
		}
	' );

	//
	// Normal header colors
	//

	// Mast Head colors
	$value = gutenbee_get_mod( 'header_colors_background' );
	$css->add_value( 'desktop', $value, '.head-mast { background-color: %s; }' );

	$value = gutenbee_get_mod( 'header_colors_border' );
	$css->add_value( 'desktop', $value, '.head-mast { border-bottom: 1px solid %s; }' );

	$value = gutenbee_get_mod( 'header_colors_text' );
	$css->add_value( 'desktop', $value, '.head-mast { color: %s; }' );

	// Branding colors (logo)
	$value = gutenbee_get_mod( 'header_colors_logo' );
	$css->add_value( 'desktop', $value, '.site-logo a { color: %s; }' );

	$value = gutenbee_get_mod( 'header_colors_logo_hover' );
	$css->add_value( 'desktop', $value, '.site-logo a:hover { color: %s; }' );

	// Menu colors
	$value = gutenbee_get_mod( 'header_colors_menu_container_background' );
	$css->add_value( 'desktop', $value, '.head-outro { background-color: %s; }' );

	$value = gutenbee_get_mod( 'header_colors_menu_item_link' );
	$css->add_value( 'desktop', $value, '
		.head-outro, .navigation-main > li > a, .mobile-nav-trigger { color: %s; }
	' );

	$value = gutenbee_get_mod( 'header_colors_menu_item_hover' );
	$css->add_value( 'desktop', $value, '
		.navigation-main > li:hover > a,
		.navigation-main > li > a:focus,
		.mobile-nav-trigger:hover { color: %s; }
	' );

	$value = gutenbee_get_mod( 'header_colors_menu_item_active' );
	$css->add_value( 'desktop', $value, '
		.navigation-main > .current-menu-item > a,
		.navigation-main > .current-menu-parent > a,
		.navigation-main > .current-menu-ancestor > a,
		.navigation-main > .current_page_item > a,
		.navigation-main > .current_page_ancestor > a { color: %s; }
	' );

	$value = gutenbee_get_mod( 'header_colors_menu_item_active_background' );
	$css->add_value( 'desktop', $value, '
		.navigation-main > .current-menu-item > a,
		.navigation-main > .current-menu-parent > a,
		.navigation-main > .current-menu-ancestor > a,
		.navigation-main > .current_page_item > a,
		.navigation-main > .current_page_ancestor > a {
			background-color: %s; padding-left: 15px; padding-right: 15px;
		}'
	);

	$value = gutenbee_get_mod( 'header_colors_submenu_background' );
	$css->add_value( 'desktop', $value, '.navigation-main ul { background-color: %s; }' );

	$value = gutenbee_get_mod( 'header_colors_submenu_item_link' );
	$css->add_value( 'desktop', $value, '.navigation-main li li a { color: %s; }' );

	$value = gutenbee_get_mod( 'header_colors_submenu_item_hover' );
	$css->add_value( 'desktop', $value, '
		.navigation-main li li:hover > a,
		.navigation-main li li > a:focus {
			color: %s;
		}
	' );

	$value = gutenbee_get_mod( 'header_colors_submenu_item_hover_background' );
	$css->add_value( 'desktop', $value, '
		.navigation-main li li:hover > a,
		.navigation-main li li > a:focus {
			background-color: %s;
		}
	' );

	$value = gutenbee_get_mod( 'header_colors_submenu_item_active' );
	$css->add_value( 'desktop', $value, '
		.navigation-main li .current-menu-item > a,
		.navigation-main li .current-menu-parent > a,
		.navigation-main li .current-menu-ancestor > a,
		.navigation-main li .current_page_item > a,
		.navigation-main li .current_page_ancestor > a {
			color: %s;
		}
	' );

	$value = gutenbee_get_mod( 'header_colors_submenu_item_active_background' );
	$css->add_value( 'desktop', $value, '
    .navigation-main li .current-menu-item > a,
		.navigation-main li .current-menu-parent > a,
		.navigation-main li .current-menu-ancestor > a,
		.navigation-main li .current_page_item > a,
		.navigation-main li .current_page_ancestor > a {
			background-color: %s;
		}
	' );


	//
	// Transparent header colors
	//

	// Mast Head colors
	$value = gutenbee_get_mod( 'header_transparent_colors_background' );
	$css->add_value( 'desktop', $value, '.header-fixed .head-mast { background-color: %s; }' );

	$value = gutenbee_get_mod( 'header_transparent_colors_border' );
	$css->add_value( 'desktop', $value, '.header-fixed .head-mast { border-bottom: 1px solid %s; }' );

	$value = gutenbee_get_mod( 'header_transparent_colors_text' );
	$css->add_value( 'desktop', $value, '.header-fixed .head-mast { color: %s; }' );

	// Branding colors (logo)
	$value = gutenbee_get_mod( 'header_transparent_colors_logo' );
	$css->add_value( 'desktop', $value, '.header-fixed .site-logo a { color: %s; }' );

	$value = gutenbee_get_mod( 'header_transparent_colors_logo_hover' );
	$css->add_value( 'desktop', $value, '.header-fixed .site-logo a:hover { color: %s; }' );

	// Menu colors
	$value = gutenbee_get_mod( 'header_transparent_colors_menu_container_background' );
	$css->add_value( 'desktop', $value, '.header-fixed .head-outro { background-color: %s; }' );

	$value = gutenbee_get_mod( 'header_transparent_colors_menu_item_link' );
	$css->add_value( 'desktop', $value, '
		.header-fixed .navigation-main > li > a,
		.header-fixed .mobile-nav-trigger { color: %s; }
	' );

	$value = gutenbee_get_mod( 'header_transparent_colors_menu_item_hover' );
	$css->add_value( 'desktop', $value, '
		.header-fixed .navigation-main > li:hover > a,
		.header-fixed .navigation-main > li > a:focus,
		.header-fixed .mobile-nav-trigger:hover { color: %s; }
	' );

	$value = gutenbee_get_mod( 'header_transparent_colors_menu_item_active' );
	$css->add_value( 'desktop', $value, '
		.header-fixed .navigation-main > .current-menu-item > a,
		.header-fixed .navigation-main > .current-menu-parent > a,
		.header-fixed .navigation-main > .current-menu-ancestor > a,
		.header-fixed .navigation-main > .current_page_item > a,
		.header-fixed .navigation-main > .current_page_ancestor > a { color: %s; }
	' );

	$value = gutenbee_get_mod( 'header_transparent_colors_menu_item_active_background' );
	$css->add_value( 'desktop', $value, '
		.header-fixed .navigation-main > .current-menu-item > a,
		.header-fixed .navigation-main > .current-menu-parent > a,
		.header-fixed .navigation-main > .current-menu-ancestor > a,
		.header-fixed .navigation-main > .current_page_item > a,
		.header-fixed .navigation-main > .current_page_ancestor > a { background-color: %s; }'
	);

	$value = gutenbee_get_mod( 'header_transparent_colors_submenu_background' );
	$css->add_value( 'desktop', $value, '.header-fixed .navigation-main ul { background-color: %s; }' );

	$value = gutenbee_get_mod( 'header_transparent_colors_submenu_item_link' );
	$css->add_value( 'desktop', $value, '.header-fixed .navigation-main li li a { color: %s; }' );

	$value = gutenbee_get_mod( 'header_transparent_colors_submenu_item_hover' );
	$css->add_value( 'desktop', $value, '
		.header-fixed .navigation-main li li:hover > a,
		.header-fixed .navigation-main li li > a:focus {
			color: %s;
		}
	' );

	$value = gutenbee_get_mod( 'header_transparent_colors_submenu_item_hover_background' );
	$css->add_value( 'desktop', $value, '
		.header-fixed .navigation-main li li:hover > a,
		.header-fixed .navigation-main li li > a:focus {
			background-color: %s;
		}
	' );

	$value = gutenbee_get_mod( 'header_transparent_colors_submenu_item_active' );
	$css->add_value( 'desktop', $value, '
		.header-fixed .navigation-main li .current-menu-item > a,
		.header-fixed .navigation-main li .current-menu-parent > a,
		.header-fixed .navigation-main li .current-menu-ancestor > a,
		.header-fixed .navigation-main li .current_page_item > a,
		.header-fixed .navigation-main li .current_page_ancestor > a {
			color: %s;
		}
	' );

	$value = gutenbee_get_mod( 'header_transparent_colors_submenu_item_active_background' );
	$css->add_value( 'desktop', $value, '
    .header-fixed .navigation-main li .current-menu-item > a,
		.header-fixed .navigation-main li .current-menu-parent > a,
		.header-fixed .navigation-main li .current-menu-ancestor > a,
		.header-fixed .navigation-main li .current_page_item > a,
		.header-fixed .navigation-main li .current_page_ancestor > a {
			background-color: %s;
		}
	' );

	//
	// Sticky header colors
	//

	// Mast Head colors
	$value = gutenbee_get_mod( 'header_sticky_colors_background' );
	$css->add_value( 'desktop', $value, '.head-stuck .head-mast { background-color: %s; }' );

	$value = gutenbee_get_mod( 'header_sticky_colors_border' );
	$css->add_value( 'desktop', $value, '.head-stuck .head-mast { border-bottom: 1px solid %s; }' );

	$value = gutenbee_get_mod( 'header_sticky_colors_text' );
	$css->add_value( 'desktop', $value, '.head-stuck .head-mast { color: %s; }' );

	// Branding colors (logo)
	$value = gutenbee_get_mod( 'header_sticky_colors_logo' );
	$css->add_value( 'desktop', $value, '.head-stuck .site-logo a { color: %s; }' );

	$value = gutenbee_get_mod( 'header_sticky_colors_logo_hover' );
	$css->add_value( 'desktop', $value, '.head-stuck .site-logo a:hover { color: %s; }' );

	// Menu colors
	$value = gutenbee_get_mod( 'header_sticky_colors_menu_container_background' );
	$css->add_value( 'desktop', $value, '.head-stuck .head-outro { background-color: %s; }' );

	$value = gutenbee_get_mod( 'header_sticky_colors_menu_item_link' );
	$css->add_value( 'desktop', $value, '
		.head-stuck .navigation-main > li > a,
		.head-stuck .mobile-nav-trigger { color: %s; }
	' );

	$value = gutenbee_get_mod( 'header_sticky_colors_menu_item_hover' );
	$css->add_value( 'desktop', $value, '
		.head-stuck .navigation-main > li:hover > a,
		.head-stuck .navigation-main > li > a:focus,
		.head-stuck .mobile-nav-trigger:hover { color: %s; }
	' );

	$value = gutenbee_get_mod( 'header_sticky_colors_menu_item_active' );
	$css->add_value( 'desktop', $value, '
		.head-stuck .navigation-main > .current-menu-item > a,
		.head-stuck .navigation-main > .current-menu-parent > a,
		.head-stuck .navigation-main > .current-menu-ancestor > a,
		.head-stuck .navigation-main > .current_page_item > a,
		.head-stuck .navigation-main > .current_page_ancestor > a { color: %s; }
	' );

	$value = gutenbee_get_mod( 'header_sticky_colors_menu_item_active_background' );
	$css->add_value( 'desktop', $value, '
		.head-stuck .navigation-main > .current-menu-item > a,
		.head-stuck .navigation-main > .current-menu-parent > a,
		.head-stuck .navigation-main > .current-menu-ancestor > a,
		.head-stuck .navigation-main > .current_page_item > a,
		.head-stuck .navigation-main > .current_page_ancestor > a { background-color: %s; }'
	);

	$value = gutenbee_get_mod( 'header_sticky_colors_submenu_background' );
	$css->add_value( 'desktop', $value, '.head-stuck .navigation-main ul { background-color: %s; }' );

	$value = gutenbee_get_mod( 'header_sticky_colors_submenu_item_link' );
	$css->add_value( 'desktop', $value, '.head-stuck .navigation-main li li a { color: %s; }' );

	$value = gutenbee_get_mod( 'header_sticky_colors_submenu_item_hover' );
	$css->add_value( 'desktop', $value, '
		.head-stuck .navigation-main li li:hover > a,
		.head-stuck .navigation-main li li > a:focus {
			color: %s;
		}
	' );

	$value = gutenbee_get_mod( 'header_sticky_colors_submenu_item_hover_background' );
	$css->add_value( 'desktop', $value, '
		.head-stuck .navigation-main li li:hover > a,
		.head-stuck .navigation-main li li > a:focus {
			background-color: %s;
		}
	' );

	$value = gutenbee_get_mod( 'header_sticky_colors_submenu_item_active' );
	$css->add_value( 'desktop', $value, '
		.head-stuck .navigation-main li .current-menu-item > a,
		.head-stuck .navigation-main li .current-menu-parent > a,
		.head-stuck .navigation-main li .current-menu-ancestor > a,
		.head-stuck .navigation-main li .current_page_item > a,
		.head-stuck .navigation-main li .current_page_ancestor > a {
			color: %s;
		}
	' );

	$value = gutenbee_get_mod( 'header_sticky_colors_submenu_item_active_background' );
	$css->add_value( 'desktop', $value, '
    .head-stuck .navigation-main li .current-menu-item > a,
		.head-stuck .navigation-main li .current-menu-parent > a,
		.head-stuck .navigation-main li .current-menu-ancestor > a,
		.head-stuck .navigation-main li .current_page_item > a,
		.head-stuck .navigation-main li .current_page_ancestor > a {
			background-color: %s;
		}
	' );

	//
	// Mobile nav colors
	//
	$value = get_theme_mod( 'header_mobile_nav_colors_background' );
	$css->add_value( 'desktop', $value, '
		.navigation-mobile-wrap {
			background-color: %s;
		}
	' );

	$value = get_theme_mod( 'header_mobile_nav_colors_link' );
	$css->add_value( 'desktop', $value, '
		.navigation-mobile-dismiss, .navigation-mobile a {
			color: %s;
		}
	' );

	$value = get_theme_mod( 'header_mobile_nav_colors_arrows' );
	$css->add_value( 'desktop', $value, '
		.menu-item-sub-menu-toggle {
			color: %s;
		}
	' );

	$value = get_theme_mod( 'header_mobile_nav_colors_border' );
	$css->add_value( 'desktop', $value, '
		.navigation-mobile a {
			border-color: %s;
		}
	' );


	//
	// Typography
	//
	$value = get_theme_mod( 'header_typo_logo', gutenbee_customizer_defaults( 'header_typo_logo' ) );
	$css->add_typography( $value, '', '.site-logo { %s }' );

	$value = get_theme_mod( 'header_typo_tagline', gutenbee_customizer_defaults( 'header_typo_tagline' ) );
	$css->add_typography( $value, '', '.site-tagline { %s }' );

	$value = get_theme_mod( 'header_typo_menu', gutenbee_customizer_defaults( 'header_typo_menu' ) );
	$css->add_typography( $value, '', '.navigation-main a, .navigation-main li li a, .head-outro { %s }' );

	$value = get_theme_mod( 'header_typo_submenu', gutenbee_customizer_defaults( 'header_typo_submenu' ) );
	$css->add_typography( $value, '', '.navigation-main li li a { %s }' );

