/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Customizer preview changes asynchronously.
 *
 * https://developer.wordpress.org/themes/customize-api/tools-for-improved-user-experience/#using-postmessage-for-improved-setting-previewing
 */

(function ( $ ) {
	//
	// Typography
	//
	wp.customize( 'blog_typo_archives_title', function ( value ) {
		value.bind( function ( to ) {
			GUTENBEE_PREVIEW_SCRIPTS.createTypographyStyles(
				'blog_typo_archives_title',
				'.entry-item .entry-title',
				to,
			);
		} );
	} );

	wp.customize( 'blog_typo_archives_meta', function ( value ) {
		value.bind( function ( to ) {
			GUTENBEE_PREVIEW_SCRIPTS.createTypographyStyles(
				'blog_typo_archives_meta',
				'.entry-item .entry-meta',
				to,
			);
		} );
	} );

	wp.customize( 'blog_typo_archives_content', function ( value ) {
		value.bind( function ( to ) {
			GUTENBEE_PREVIEW_SCRIPTS.createTypographyStyles(
				'blog_typo_archives_content',
				'.entry-item .entry-content',
				to,
			);
		} );
	} );

	wp.customize( 'blog_typo_archives_button', function ( value ) {
		value.bind( function ( to ) {
			GUTENBEE_PREVIEW_SCRIPTS.createTypographyStyles(
				'blog_typo_archives_button',
				'.entry-more-btn',
				to,
			);
		} );
	} );

	wp.customize( 'blog_typo_single_post_title', function ( value ) {
		value.bind( function ( to ) {
			GUTENBEE_PREVIEW_SCRIPTS.createTypographyStyles(
				'blog_typo_single_post_title',
				'.single article .entry-title',
				to,
			);
		} );
	} );

	wp.customize( 'blog_typo_single_post_meta', function ( value ) {
		value.bind( function ( to ) {
			GUTENBEE_PREVIEW_SCRIPTS.createTypographyStyles(
				'blog_typo_single_post_meta',
				'.single article .entry-meta',
				to,
			);
		} );
	} );

	wp.customize( 'blog_typo_single_post_tags', function ( value ) {
		value.bind( function ( to ) {
			GUTENBEE_PREVIEW_SCRIPTS.createTypographyStyles(
				'blog_typo_single_post_tags',
				'.single .entry-tags',
				to,
			);
		} );
	} );

})( jQuery );
