<?php
	$wp_customize->add_section( 'blog_content', array(
		'title'    => esc_html_x( 'Content', 'customizer section title', 'gutenbee' ),
		'panel'    => 'blog',
		'priority' => 20,
	) );

	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'blog_content_archives_sub', array(
		'section'  => 'blog_content',
		'settings' => array(),
		'label'    => esc_html__( 'Archives', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'blog_content_archives_excerpt_length', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_archives_excerpt_length' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_archives_excerpt_length', array(
		'type'    => 'text',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Excerpt length', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_archives_is_featured_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_archives_is_featured_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_archives_is_featured_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show featured image', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_archives_is_title_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_archives_is_title_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_archives_is_title_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show title', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_archives_is_meta_sticky_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_archives_is_meta_sticky_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_archives_is_meta_sticky_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show featured label (sticky posts)', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_archives_is_meta_date_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_archives_is_meta_date_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_archives_is_meta_date_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show date', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_archives_is_meta_categories_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_archives_is_meta_categories_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_archives_is_meta_categories_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show categories', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_archives_is_meta_author_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_archives_is_meta_author_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_archives_is_meta_author_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show author', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_archives_is_meta_comments_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_archives_is_meta_comments_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_archives_is_meta_comments_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show comments count', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_archives_is_content_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_archives_is_content_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_archives_is_content_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show content', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_archives_is_button_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_archives_is_button_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_archives_is_button_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show button', 'gutenbee' ),
	) );


	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'blog_content_single_post_sub', array(
		'section'  => 'blog_content',
		'settings' => array(),
		'label'    => esc_html__( 'Single posts', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'blog_content_single_post_is_featured_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_is_featured_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_single_post_is_featured_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show featured image', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_single_post_is_meta_sticky_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_is_meta_sticky_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_single_post_is_meta_sticky_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show featured label (sticky posts)', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_single_post_is_meta_date_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_is_meta_date_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_single_post_is_meta_date_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show date', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_single_post_is_meta_categories_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_is_meta_categories_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_single_post_is_meta_categories_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show categories', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_single_post_is_meta_author_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_is_meta_author_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_single_post_is_meta_author_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show author', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_single_post_is_meta_comments_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_is_meta_comments_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_single_post_is_meta_comments_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show comments count', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_single_post_is_tags_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_is_tags_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_single_post_is_tags_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show tags', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_single_post_is_post_pagination_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_is_post_pagination_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_single_post_is_post_pagination_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show post pagination', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_single_post_is_author_box_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_is_author_box_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_single_post_is_author_box_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show author box', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_single_post_is_related_posts_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_is_related_posts_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_single_post_is_related_posts_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show related posts', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_single_post_related_posts_title', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_related_posts_title' ),
		'sanitize_callback' => 'sanitize_text_field',
	) );
	$wp_customize->add_control( 'blog_content_single_post_related_posts_title', array(
		'type'    => 'text',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Related section title', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_content_single_post_is_comments_visible', array(
		'default'           => gutenbee_customizer_defaults( 'blog_content_single_post_is_comments_visible' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_content_single_post_is_comments_visible', array(
		'type'    => 'checkbox',
		'section' => 'blog_content',
		'label'   => esc_html__( 'Show comments', 'gutenbee' ),
	) );
