<?php
	$wp_customize->add_section( 'blog_layout', array(
		'title'    => esc_html_x( 'Layout', 'customizer section title', 'gutenbee' ),
		'panel'    => 'blog',
		'priority' => 10,
	) );

	$wp_customize->add_setting( 'blog_layout_archives_layout_type', array(
		'default'           => gutenbee_blog_layout_archives_layout_type_default(),
		'sanitize_callback' => 'gutenbee_sanitize_blog_layout_archives_layout_type',
	) );
	$wp_customize->add_control( 'blog_layout_archives_layout_type', array(
		'type'    => 'select',
		'section' => 'blog_layout',
		'label'   => esc_html__( 'Layout type', 'gutenbee' ),
		'choices' => gutenbee_blog_layout_archives_layout_type_choices(),
	) );

	//
	// Archives settings
	//
	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'blog_layout_archives_sub', array(
		'section'  => 'blog_layout',
		'settings' => array(),
		'label'    => esc_html__( 'Archives', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'blog_layout_archive_title_is_enabled', array(
		'default'           => gutenbee_customizer_defaults( 'blog_layout_archive_title_is_enabled' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'blog_layout_archive_title_is_enabled', array(
		'type'        => 'checkbox',
		'section'     => 'blog_layout',
		'label'       => esc_html__( 'Show archive title', 'gutenbee' ),
		'description' => esc_html__( 'This affects the archives, blog, search and 404 pages.', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'blog_layout_posts_layout_type', array(
		'default'           => gutenbee_blog_layout_posts_layout_type_default(),
		'sanitize_callback' => 'gutenbee_sanitize_blog_layout_posts_layout_type',
	) );
	$wp_customize->add_control( 'blog_layout_posts_layout_type', array(
		'type'    => 'select',
		'section' => 'blog_layout',
		'label'   => esc_html__( 'Posts layout type', 'gutenbee' ),
		'choices' => gutenbee_blog_layout_posts_layout_type_choices(),
	) );

	$wp_customize->add_setting( 'blog_layout_archives_pagination', array(
		'default'           => gutenbee_archives_pagination_default(),
		'sanitize_callback' => 'gutenbee_sanitize_archives_pagination',
	) );
	$wp_customize->add_control( 'blog_layout_archives_pagination', array(
		'type'    => 'select',
		'section' => 'blog_layout',
		'label'   => esc_html__( 'Pagination method', 'gutenbee' ),
		'choices' => gutenbee_archives_pagination_choices(),
	) );


	//
	// Single Post settings
	//
	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'blog_layout_single_post_sub', array(
		'section'  => 'blog_layout',
		'settings' => array(),
		'label'    => esc_html__( 'Single Post', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'blog_layout_single_related_columns', array(
		'default'           => gutenbee_blog_layout_single_related_columns_default(),
		'sanitize_callback' => 'gutenbee_sanitize_blog_layout_single_related_columns',
	) );
	$wp_customize->add_control( 'blog_layout_single_related_columns', array(
		'type'    => 'select',
		'section' => 'blog_layout',
		'label'   => esc_html__( 'Related posts columns', 'gutenbee' ),
		'choices' => gutenbee_blog_layout_single_related_columns_choices(),
	) );

