<?php
	$wp_customize->add_section( 'global_colors', array(
		'title'    => esc_html_x( 'Colors', 'customizer section title', 'gutenbee' ),
		'panel'    => 'global',
		'priority' => 30,
	) );

	$wp_customize->get_control( 'background_color' )->section      = 'global_colors';
	$wp_customize->get_control( 'background_image' )->section      = 'global_colors';
	$wp_customize->get_control( 'background_preset' )->section     = 'global_colors';
	$wp_customize->get_control( 'background_position' )->section   = 'global_colors';
	$wp_customize->get_control( 'background_size' )->section       = 'global_colors';
	$wp_customize->get_control( 'background_repeat' )->section     = 'global_colors';
	$wp_customize->get_control( 'background_attachment' )->section = 'global_colors';

	$wp_customize->add_setting( 'global_colors_boxed_background', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_boxed_background' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_boxed_background', array(
		'section'     => 'global_colors',
		'label'       => esc_html__( 'Boxed layout background color', 'gutenbee' ),
		'description' => esc_html__( 'Applies when using the "Boxed" layout option under Global Layout.', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_boxed_background_image', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_boxed_background_image' ),
		'sanitize_callback' => 'gutenbee_sanitize_image_bg_control',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Image_BG_Control( $wp_customize, 'global_colors_boxed_background_image', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Boxed layout background image', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_accent', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_accent' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_accent', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Accent color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_accent_secondary', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_accent_secondary' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_accent_secondary', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Secondary accent color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_text', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_text' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_text', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Text color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_border', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_border' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_border', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Border color', 'gutenbee' ),
	) ) );


	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'global_colors_links_sub', array(
		'section'  => 'global_colors',
		'settings' => array(),
		'label'    => esc_html__( 'Links', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_links', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_links' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_links', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Link color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_links_hover', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_links_hover' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_links_hover', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Link hover color', 'gutenbee' ),
	) ) );


	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'global_colors_headings_sub', array(
		'section'  => 'global_colors',
		'settings' => array(),
		'label'    => esc_html__( 'Headings', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_h1', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_h1' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_h1', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'H1 color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_h2', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_h2' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_h2', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'H2 color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_h3', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_h3' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_h3', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'H3 color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_h4', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_h4' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_h4', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'H4 color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_h5', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_h5' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_h5', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'H5 color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_h6', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_h6' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_h6', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'H6 color', 'gutenbee' ),
	) ) );


	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'global_colors_forms_sub', array(
		'section'  => 'global_colors',
		'settings' => array(),
		'label'    => esc_html__( 'Forms', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_forms_background', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_forms_background' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_forms_background', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Form fields background color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_forms_border', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_forms_border' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_forms_border', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Form input border color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_forms_text', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_forms_text' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_forms_text', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Form input text color', 'gutenbee' ),
	) ) );


	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'global_colors_buttons_sub', array(
		'section'  => 'global_colors',
		'settings' => array(),
		'label'    => esc_html__( 'Buttons', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_buttons_background', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_buttons_background' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_buttons_background', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Button background color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_buttons_text', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_buttons_text' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_buttons_text', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Button text color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_buttons_border', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_buttons_border' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_buttons_border', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Button border color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_buttons_background_hover', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_buttons_background_hover' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_buttons_background_hover', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Button hover background color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_buttons_text_hover', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_buttons_text_hover' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_buttons_text_hover', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Button hover text color', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_colors_buttons_border_hover', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_colors_buttons_border_hover' ),
		'sanitize_callback' => 'gutenbee_sanitize_rgba_color',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Color_Control( $wp_customize, 'global_colors_buttons_border_hover', array(
		'section' => 'global_colors',
		'label'   => esc_html__( 'Button hover border color', 'gutenbee' ),
	) ) );

