<?php
	$wp_customize->add_section( 'global_layout', array(
		'title'    => esc_html_x( 'Layout', 'customizer section title', 'gutenbee' ),
		'panel'    => 'global',
		'priority' => 10,
	) );


	$wp_customize->add_setting( 'global_layout_type', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_global_layout_type_default(),
		'sanitize_callback' => 'gutenbee_sanitize_global_layout_type',
	) );
	$wp_customize->add_control( 'global_layout_type', array(
		'type'    => 'select',
		'section' => 'global_layout',
		'label'   => esc_html__( 'Global layout', 'gutenbee' ),
		'choices' => gutenbee_global_layout_type_choices(),
	) );

	$wp_customize->add_setting( 'global_layout_boxed_width', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_layout_boxed_width' ),
		'sanitize_callback' => 'gutenbee_sanitize_range_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Range_Control( $wp_customize, 'global_layout_boxed_width', array(
		'section'     => 'global_layout',
		'label'       => esc_html__( 'Outer width (px)', 'gutenbee' ),
		'input_attrs' => array(
			'min'  => 800,
			'max'  => 2500,
			'step' => 10,
		),
		'responsive'  => false,
	) ) );

	$wp_customize->add_setting( 'global_layout_container_width', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_layout_container_width' ),
		'sanitize_callback' => 'gutenbee_sanitize_range_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Range_Control( $wp_customize, 'global_layout_container_width', array(
		'section'     => 'global_layout',
		'label'       => esc_html__( 'Inner width (px)', 'gutenbee' ),
		'input_attrs' => array(
			'min'  => 800,
			'max'  => 2500,
			'step' => 10,
		),
		'responsive'  => false,
	) ) );

	$wp_customize->add_setting( 'global_layout_content_width', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_layout_content_width' ),
		'sanitize_callback' => 'gutenbee_sanitize_range_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Range_Control( $wp_customize, 'global_layout_content_width', array(
		'section'     => 'global_layout',
		'label'       => esc_html__( 'Content width (columns)', 'gutenbee' ),
		'description' => esc_html__( 'The sum of the content and sidebar columns should be 12.', 'gutenbee' ),
		'input_attrs' => array(
			'min'  => 1,
			'max'  => 12,
			'step' => 1,
		),
		'responsive'  => false,
	) ) );

	$wp_customize->add_setting( 'global_layout_sidebar_width', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'global_layout_sidebar_width' ),
		'sanitize_callback' => 'gutenbee_sanitize_range_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Range_Control( $wp_customize, 'global_layout_sidebar_width', array(
		'section'     => 'global_layout',
		'label'       => esc_html__( 'Sidebar width (columns)', 'gutenbee' ),
		'description' => esc_html__( 'The sum of the content and sidebar columns should be 12.', 'gutenbee' ),
		'input_attrs' => array(
			'min'  => 1,
			'max'  => 12,
			'step' => 1,
		),
		'responsive'  => false,
	) ) );



	//
	// Pages settings
	//
	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'global_layout_pages_sub', array(
		'section'  => 'global_layout',
		'settings' => array(),
		'label'    => esc_html__( 'Pages', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'global_layout_pages_layout_type', array(
		'default'           => gutenbee_global_layout_pages_layout_type_default(),
		'sanitize_callback' => 'gutenbee_sanitize_global_layout_pages_layout_type',
	) );
	$wp_customize->add_control( 'global_layout_pages_layout_type', array(
		'type'    => 'select',
		'section' => 'global_layout',
		'label'   => esc_html__( 'Pages layout type', 'gutenbee' ),
		'choices' => gutenbee_global_layout_pages_layout_type_choices(),
	) );
