<?php
	$wp_customize->add_section( 'header_layout', array(
		'title'    => esc_html_x( 'Layout', 'customizer section title', 'gutenbee' ),
		'panel'    => 'header',
		'priority' => 10,
	) );

	$wp_customize->add_setting( 'header_layout_type', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_layout_type' ),
		'sanitize_callback' => 'gutenbee_sanitize_header_layout_type',
	) );
	$wp_customize->add_control( 'header_layout_type', array(
		'type'        => 'select',
		'section'     => 'header_layout',
		'label'       => esc_html__( 'Header Type', 'gutenbee' ),
		'description' => wp_kses( sprintf(
			/* translators: %1$s is the URL to the Header Colors section. */
			__( 'If you select the <strong>Transparent</strong> option make sure to adjust the <a href="%1$s">Header colors</a> accordingly.', 'gutenbee' ),
			admin_url( '/customize.php?autofocus[section]=header_colors' )
		), gutenbee_get_allowed_tags() ),
		'choices'     => gutenbee_header_layout_type_choices(),
	) );

	$wp_customize->add_setting( 'header_layout_is_full_width', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_layout_is_full_width' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'header_layout_is_full_width', array(
		'type'    => 'checkbox',
		'section' => 'header_layout',
		'label'   => esc_html__( 'Full width header', 'gutenbee' ),
	) );


	$wp_customize->add_setting( 'header_layout_height', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_layout_height' ),
		'sanitize_callback' => 'gutenbee_sanitize_spacing_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Spacing_Control( $wp_customize, 'header_layout_height', array(
		'section'     => 'header_layout',
		'label'       => esc_html__( 'Header padding (px)', 'gutenbee' ),
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 1000,
			'step' => 1,
		),
		'responsive'  => true,
		'mode'        => 'top-bottom',
	) ) );



	//
	// Menu settings
	//
	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'header_layout_menu_sub', array(
		'section'  => 'header_layout',
		'settings' => array(),
		'label'    => esc_html__( 'Menu Settings', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_layout_menu_type', array(
		'default'           => gutenbee_customizer_defaults( 'header_layout_menu_type' ),
		'sanitize_callback' => 'gutenbee_sanitize_header_layout_menu_type',
	) );
	$wp_customize->add_control( 'header_layout_menu_type', array(
		'type'    => 'select',
		'section' => 'header_layout',
		'label'   => esc_html__( 'Menu layout', 'gutenbee' ),
		'choices' => gutenbee_header_layout_menu_type_choices(),
	) );

	$wp_customize->add_setting( 'header_layout_is_menu_stretched', array(
		'default'           => gutenbee_customizer_defaults( 'header_layout_is_menu_stretched' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'header_layout_is_menu_stretched', array(
		'type'    => 'checkbox',
		'section' => 'header_layout',
		'label'   => esc_html__( 'Stretch menu', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'header_layout_menu_is_sticky', array(
		'default'           => gutenbee_customizer_defaults( 'header_layout_menu_is_sticky' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'header_layout_menu_is_sticky', array(
		'type'    => 'checkbox',
		'section' => 'header_layout',
		'label'   => esc_html__( 'Sticky menu', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'header_layout_menu_is_sticky_mobile_enabled', array(
		'default'           => gutenbee_customizer_defaults( 'header_layout_menu_is_sticky_mobile_enabled' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'header_layout_menu_is_sticky_mobile_enabled', array(
		'type'    => 'checkbox',
		'section' => 'header_layout',
		'label'   => esc_html__( 'Sticky menu on mobile', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'header_layout_menu_sticky_alt_logo', array(
		'default'           => gutenbee_customizer_defaults( 'header_layout_menu_sticky_alt_logo' ),
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'header_layout_menu_sticky_alt_logo', array(
		'type'        => 'checkbox',
		'section'     => 'header_layout',
		'label'       => esc_html__( 'Sticky menu shows alternative logo', 'gutenbee' ),
		'description' => esc_html__( 'You need to set both the normal and alternative logos for this option to work.', 'gutenbee' ),
	) );

	$wp_customize->add_setting( 'header_layout_menu_height', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_layout_menu_height' ),
		'sanitize_callback' => 'gutenbee_sanitize_spacing_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Spacing_Control( $wp_customize, 'header_layout_menu_height', array(
		'section'     => 'header_layout',
		'label'       => esc_html__( 'Menu padding (px)', 'gutenbee' ),
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 1000,
			'step' => 1,
		),
		'responsive'  => true,
		'mode'        => 'top-bottom',
	) ) );

	$wp_customize->add_setting( 'header_layout_menu_mobile_breakpoint', array(
		'default'           => gutenbee_customizer_defaults( 'header_layout_menu_mobile_breakpoint' ),
		'sanitize_callback' => 'gutenbee_sanitize_range_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Range_Control( $wp_customize, 'header_layout_menu_mobile_breakpoint', array(
		'section'     => 'header_layout',
		'label'       => esc_html__( 'Display mobile menu when viewport size is less than (px)', 'gutenbee' ),
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 1600,
			'step' => 1,
		),
		'responsive'  => false,
	) ) );
