<?php
	$wp_customize->add_section( 'header_typo', array(
		'title'    => esc_html_x( 'Typography', 'customizer section title', 'gutenbee' ),
		'panel'    => 'header',
		'priority' => 40,
	) );

	$wp_customize->add_control( new Gutenbee_Customize_Notice( $wp_customize, 'header_typo_notice_info', array(
		'section'     => 'header_typo',
		'settings'    => array(),
		'description' => __( "Note that the initial font family settings are the theme's fallbacks, the actual values could be inherited from the <strong>Global > Typography</strong> settings (if they have been changed there).", 'gutenbee' ),
		'severity'    => Gutenbee_Customize_Notice::INFO,
	) ) );

	//
	// Logo
	//
	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'header_typo_logo_sub', array(
		'section'  => 'header_typo',
		'settings' => array(),
		'label'    => esc_html__( 'Logo', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_typo_logo', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_typo_logo' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'header_typo_logo', array(
		'section' => 'header_typo',
		'label'   => esc_html__( 'Logo font', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_typo_tagline', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_typo_tagline' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'header_typo_tagline', array(
		'section'     => 'header_typo',
		'label'       => esc_html__( 'Tagline font', 'gutenbee' ),
		'font_family' => false,
	) ) );


	//
	// Logo
	//
	$wp_customize->add_control( new Gutenbee_Customize_Section_Header( $wp_customize, 'header_typo_menu_sub', array(
		'section'  => 'header_typo',
		'settings' => array(),
		'label'    => esc_html__( 'Menu', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_typo_menu', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_typo_menu' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'header_typo_menu', array(
		'section' => 'header_typo',
		'label'   => esc_html__( 'Menu font', 'gutenbee' ),
	) ) );

	$wp_customize->add_setting( 'header_typo_submenu', array(
		'transport'         => 'postMessage',
		'default'           => gutenbee_customizer_defaults( 'header_typo_submenu' ),
		'sanitize_callback' => 'gutenbee_sanitize_typography_control_breakpoints',
	) );
	$wp_customize->add_control( new Gutenbee_Customize_Typography_Control( $wp_customize, 'header_typo_submenu', array(
		'section'     => 'header_typo',
		'label'       => esc_html__( 'Submenu font', 'gutenbee' ),
		'font_family' => false,
	) ) );
