<?php get_header(); ?>

<?php do_action( 'gutenbee_before_main' ); ?>

<main class="site-content">

	<div class="container">

		<div class="row <?php gutenbee_the_row_classes(); ?>">

			<div class="<?php gutenbee_the_container_classes(); ?>">

				<div id="site-content" class="content-wrapper">

					<?php while ( have_posts() ) : the_post(); ?>

						<?php do_action( 'gutenbee_before_entry', 'main', get_the_ID() ); ?>

						<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>

							<?php gutenbee_the_post_header(); ?>

							<?php gutenbee_the_post_thumbnail(); ?>

							<div class="entry-content">
								<?php the_content(); ?>

								<?php if ( get_theme_mod( 'blog_content_single_post_is_post_pagination_visible', gutenbee_customizer_defaults( 'blog_content_single_post_is_post_pagination_visible' ) ) ) {
									wp_link_pages();
								} ?>
							</div>

							<?php gutenbee_the_post_tags(); ?>

						</article>

						<?php do_action( 'gutenbee_after_entry', 'main', get_the_ID() ); ?>

						<?php if ( get_theme_mod( 'blog_content_single_post_is_author_box_visible', gutenbee_customizer_defaults( 'blog_content_single_post_is_author_box_visible' ) ) ) {
							gutenbee_the_post_author_box();
						} ?>

						<?php if ( get_theme_mod( 'blog_content_single_post_is_related_posts_visible', gutenbee_customizer_defaults( 'blog_content_single_post_is_related_posts_visible' ) ) ) {
							get_template_part( 'template-parts/related', get_post_type() );
						} ?>

						<?php if ( get_theme_mod( 'blog_content_single_post_is_comments_visible', gutenbee_customizer_defaults( 'blog_content_single_post_is_comments_visible' ) ) ) {
							comments_template();
						} ?>

					<?php endwhile; ?>

				</div>

			</div>

			<?php get_sidebar(); ?>

		</div>

	</div>

</main>

<?php do_action( 'gutenbee_after_main' ); ?>

<?php get_footer();
