<?php
	if ( ! class_exists( 'WooCommerce' ) ) {
		return;
	}

	global $product;

	// Ensure visibility.
	if ( empty( $product ) || ! $product->is_visible() ) {
		return;
	}
?>
<?php do_action( 'gutenbee_before_entry', 'listing', get_the_ID() ); ?>

<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry entry-item entry-item-media' ); ?>>
	<?php $thumbnail = woocommerce_get_product_thumbnail(); ?>

	<?php if ( $thumbnail ) : ?>
		<figure class="entry-thumb">
			<?php woocommerce_template_loop_product_link_open(); ?>
				<?php woocommerce_template_loop_product_thumbnail(); ?>
			<?php woocommerce_template_loop_product_link_close(); ?>
		</figure>
	<?php endif; ?>

	<div class="entry-item-content-wrap">
		<?php gutenbee_the_post_header(); ?>

		<div class="ci-item-excerpt">
			<?php the_excerpt(); ?>
		</div>

		<ul class="ci-item-list-meta">
			<li><?php woocommerce_template_loop_price(); ?></li>
		</ul>

		<?php woocommerce_template_loop_add_to_cart(); ?>
	</div>
</article>

<?php do_action( 'gutenbee_after_entry', 'listing', get_the_ID() );
